package com.ningdatech.pmapi.gov.controller;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.gov.manage.GovProjectCollectionManage;
import com.ningdatech.pmapi.gov.model.vo.GovBizProjectApplyVO;
import com.ningdatech.pmapi.gov.model.vo.GovProjectDictionaryVO;
import com.ningdatech.pmapi.projectlib.model.req.ProjectListReq;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zpf
 * @since 2023-08-21
 */
@Slf4j
@Validated
@RestController
@RequiredArgsConstructor
@Api(value = "GovProjectCollectionController", tags = "新项目归集")
@RequestMapping("/api/v1/gov-project-collection")
public class GovProjectCollectionController {

    private final GovProjectCollectionManage collectionManage;

    @GetMapping("/dictionary")
    @ApiOperation("字典")
    public List<GovProjectDictionaryVO> dictionary(@RequestParam(value = "type", required = false) String type) {
        return collectionManage.dictionary(type);
    }


}
